Package ru.bitel.bgbilling.kernel.tariff.option.server.event

# Class TariffOptionBeforeActivateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.tariff.option.server.event.TariffOptionBeforeActivateEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class TariffOptionBeforeActivateEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Скриптовое событие перед активацией тарифной опции.

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TariffOptionBeforeActivateEvent(int contractId, int userId, Contract contract, TariffOption tariffOption, TariffOptionActivateMode activateMode, Charge charge, ContractTariffOption contractOption, boolean activate)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TariffOptionActivateMode`
  `getActivateMode()`
  `Charge`
  `getCharge()`
  `Contract`
  `getContract()`
  `ContractTariffOption`
  `getContractTariffOption()`
  `String`
  `getMessage()`
  `TariffOption`
  `getTariffOption()`
  `boolean`
  `isActivate()`
  `void`
  `setActivate(boolean activate)`
  `void`
  `setCharge(Charge charge)`
  `void`
  `setContractTariffOption(ContractTariffOption contractOption)`
  `void`
  `setMessage(String message)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TariffOptionBeforeActivateEvent

    public TariffOptionBeforeActivateEvent(int contractId, int userId, Contract contract, TariffOption tariffOption, TariffOptionActivateMode activateMode, Charge charge, ContractTariffOption contractOption, boolean activate)

- ## Method Details

  - ### getTariffOption

    public TariffOption getTariffOption()

  - ### getActivateMode

    public TariffOptionActivateMode getActivateMode()

  - ### isActivate

    public boolean isActivate()

  - ### setActivate

    public void setActivate(boolean activate)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)

  - ### getCharge

    public Charge getCharge()

  - ### setCharge

    public void setCharge(Charge charge)

  - ### getContractTariffOption

    public ContractTariffOption getContractTariffOption()

  - ### setContractTariffOption

    public void setContractTariffOption(ContractTariffOption contractOption)

  - ### getContract

    public Contract getContract()